Subject: 24.0.50; doc of `declare' (non-CL version)

From: "Drew Adams" <[email-masked]>
Date: Tue, 4 Oct 2011 09:23:42 -0700

`(elisp) Defining Macros says' that `declare' works only for `debug' and
`indent'.  But the Emacs Lisp source code has lots of occurrences of
`doc-string', and `ignore' as well.  Seems like the doc is not
up-to-date?  (I'm not counting occurrences of CL's `declare special'.)
 
(And the `declare' doc string just refers to the manual - does not
describe the SPECS that it mentions at all.  That's probably OK.)

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-09-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt'